@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+TC&display=swap');

body * {
    font-family: "Noto Sans", "Noto Sans TC", "Microsoft JhengHei", Arial;
}


html,
body {
    height: 100%;
    margin: 0;
}

body {
    display: flex;
    /*使物件依序排列*/
    flex-direction: column;
    /*使物件垂直排列*/
}

nav {
    display: flex;
    flex-direction: row;
    align-items: center;
    height: 60px;
    width: 100%;
    background: #FFFFFF;
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.25);
    z-index: 99;
}

nav img {
    height: 30px;
    margin-left: 100px;
}

a {
    color: #000;
    cursor: pointer;
    text-decoration-line: none;
}

img {
    max-width: 100%;
}

.mx-auto {
    margin-left: auto;
    margin-right: auto;
}

nav img {
    height: 2.75rem;
}

.container {
    background: #F5F5F5;
    flex-grow: 1;
    /*可佔滿垂直剩餘的空間*/
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.content {
    padding: 150px 0;
    text-align: center;
}

.content p {
    /* line-height: 50px; */
    text-align: center;
    font-size: 24px;
}

.content img {
    max-width: 450px;
}

.date {
    font-size: 32px;
    margin-top: 30px;
}

.details {
    font-size: 28px;
    margin-top: 16px;
}

.footer {
    max-width: 100%;
    background-color: #FBE3E3;
}

.footer__container {
    /* md:flex-row max-w-7xl  */
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    margin-left: auto;
    margin-right: auto;
    font-size: 14px;
    line-height: 20px;
    padding-top: 28px;
    padding-bottom: 28px;
    max-width: 1280px;
    height: 288px;
}

.footer__content {
    display: flex;
}

.footer__infoContainer {
    display: flex;
    flex-basis: 33.333333%;
    flex-direction: column;
    justify-content: center;
    color: #000;
}

.footer__mediaIcon {
    display: none;
    column-gap: 20px;
    margin-bottom: 8px;
    height: 22px;
}

.footer__mediaIcon--img {
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 4px;
}

.footer__detailsContainer {
    display: flex;
    flex-direction: column;
    flex-basis: 100%;
}

.footer__details,
.footer__awardContainer--mb p {
    font-size: 12px;
    line-height: 16px;
}

.footer__imgContainer {
    display: flex;
    flex-basis: 33.333333%;
    justify-content: end;
    max-width: 100%;
    column-gap: 20px;
    font-weight: 500;
    font-size: 14px;
    text-align: center;
    align-items: center;
    height: 215px;
}

.footer__qrcodeImg {
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 4px;
    background-color: #fff;
    padding: 6px;
    border-radius: 10px;
}

.footer__appContainer{
    display: flex;
    flex-direction: column;
    margin-top: 0;
}

.footer__app--tw {
    margin-bottom: 12px;
}

.footer__app--tw img,
.footer__app--us img,
.footer__awardContainer img {
    max-width: fit-content;
}

.footer__awardContainer {
    display: flex;
    flex-direction: column;
    border-left-width: 2px;
    border-color: #f8cdd2;
    padding-left: 20px;
    border-style: solid;
}

.footer__awardContainer--mb {
    display: none;
    flex-direction: column;
    border-left-width: 2px;
    border-color: #f8cdd2;
    padding-left: 20px;
    text-align: center;
    width: 125px;
    height: 150px;
}


.footer__yushanAward {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-top: 4px;


}

.info-container {
    max-width: 100%;
    background-color: #d10046;
}

.info-block {
    display: flex;
    justify-content: space-around;
    color: #fff;
    font-size: 12px;
    line-height: 16px;
    padding-top: 20px;
    padding-bottom: 20px;
    margin-right: auto;
    margin-left: auto;
    max-width: 1280px;
}
.page-container {
    display: flex;
    flex-wrap: wrap;
    flex-basis: 33.33333%;
    justify-content: start;
    align-items: center;
}

.footer-page {
    color: #fff;
}

.footer-details--hidden {
    display: none;
}

.version {
    flex-basis: 33.33333%;
    text-align: right;
}

@media screen and (max-width: 1024px) {

    .footer__details {
        margin-top: 4px;
    }
}

@media screen and (max-width: 767px) {

    nav {
        height: 50px;
        justify-content: center;
    }

    nav img {
        height: 25px;
        margin-left: 0;
    }

    .content p {
        font-size: 18px;
        /* line-height: 10px; */
        margin-top: 20px;
    }

    .content img {
        max-width: 80%;
    }

    .footer__container {
        flex-direction: column;
        padding-top: 20px;
        padding-bottom: 20px;
        height: 270px;
    }

    .footer__detailsContainer {
        flex-basis: 66.666667%;
    }

    .footer__infoContainer {
        margin-left: 20px;
        margin-right: 20px;
    }

    .footer__mediaIcon {
        display: flex;
    }

    .footer__imgContainer {
        justify-content: center;
        margin-left: auto;
        margin-right: auto;
        height: 68px;
    }

    .footer__qrcodeLink {
        display: none;
    }

    .footer__appContainer{
        flex-direction: row;
        margin-top: 12px;
    }

    .footer__app--tw {
        margin-bottom: 0;
    }

    .footer__app--us {
        margin-left: 12px;
    }

    .footer__awardContainer {
        display: none;
    }

    .footer__awardContainer--mb {
        display: flex;
        flex-basis: 33.333333%;
        flex-direction: column;
    }

    .info-block {
        flex-direction: column;
    }

    .page-container {
        justify-content: center;
    }

    .version {
        text-align: center;
    }

    .footer-details--hidden {
        display: block;
    }
}